let xhttp = new XMLHttpRequest()
xhttp.open("GET", "https://jsonplaceholder.typicode.com/posts", true)

xhttp.onreadystatechange = function() {
    if (xhttp.readyState === 4) {
        if (xhttp.status === 200) {
            console.log(`Az eredmény: ${JSON.parse(xhttp.responseText)}`)
            // const kaka = JSON.parse(xhttp.responseText)
            // kaka.forEach(element => {
            //     console.log(element);
                
            // });
        }

        else if (xhttp.status === 404) {
            console.log("Erőforrás nem található! - 404-es hibakód")
        }

        else {
            console.error(`Hiba történt, státuszkód: ${xhttp.status}`)
        }
    }
}

xhttp.send()